.tc {
    text-align: center;
}
.tr {
    text-align: right;
}
.fl {
    float: left;
}
.fr {
    float: right;
}
.text_hide {
    width: 100%;
    text-overflow: ellipsis;
    overflow: hidden; 
    white-space: nowrap;
}
.text_hide2 {
    width: 100%;
    word-break: break-all;
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}
.flex {
    display: flex !important;
}
.flex_col {
    display: flex;
    flex-direction: column;
}
.flex_jsb {
    justify-content: space-between;
}
.flex_jsa {
    justify-content: space-around;
}
.flex_jr {
    justify-content: flex-end;
}
.flex_jc {
    justify-content: center;
}
.flex_jl {
    justify-content: flex-start;
}
.flex_al {
    align-items: flex-start;
}
.flex_ac {
    align-items: center;
}
.flex_ar {
    align-items: flex-end;
}
.flex_nowrap {
    flex-wrap: nowrap;
}
.flex_wrap {
    flex-wrap: wrap;
}
.f12 {
    font-size: 12px;
}
.f13 {
    font-size: 13px;
}
.f14 {
    font-size: 14px;
}
.f15 {
    font-size: 15px;
}
.f16 {
    font-size: 16px;
}
.f17 {
    font-size: 17px;
}
.f18 {
    font-size: 18px;
}
.f19 {
    font-size: 19px;
}
.f20 {
    font-size: 20px;
}
.f21 {
    font-size: 21px;
}
.f22 {
    font-size: 22px;
}
.f23 {
    font-size: 23px;
}
.f24 {
    font-size: 24px;
}